#include <iostream>
#include <vector>
#include "code.h"
#define fi first
#define se second

using namespace std;

vector<pair<int, int>> ZapisiTacke(int N){

    vector<pair<int, int>> tacke(N+1);

    tacke[1].fi=0;
    tacke[1].se=0;

    for(int i=2;i<=N;i++){
        tacke[i].se=1;
        tacke[i].fi=i-1;
    }

    return tacke;
}

vector<int> Resi(int N, int Q){

    vector<int> ans(N+1);
    int x=Pitaj(1,2,3);
    if(x!=0){
        for(int i=1;i<=N;i++)ans[i]=i;}
    else {
        for(int i=1;i<=N;i++)ans[i]=N-i+1;}

    return ans;
}